;; Options Menu Settings
;; =====================
(cond
 ((and (string-match "XEmacs" emacs-version)
       (boundp 'emacs-major-version)
       (or (and
            (= emacs-major-version 19)
            (>= emacs-minor-version 14))
           (= emacs-major-version 20))
       (fboundp 'load-options-file))
  (load-options-file "/home/aaronl/.xemacs-options")))
;; ============================
;; End of Options Menu Settings
(custom-set-variables
 '(paren-mode (quote blink-paren) nil (paren))
 '(gnuserv-program (concat exec-directory "/gnuserv"))
 '(tab-width 4)
 '(nnmail-spool-file "/var/spool/mail/$user")
 '(font-lock-mode t nil (font-lock)))
(custom-set-faces
 '(default ((t (:family "Clean"))) t))

;; added by me

(setq load-path (cons (expand-file-name "/usr/local/share/emacs/site-lisp") load-path))

(set-specifier default-toolbar-visible-p nil)
(setq indent-tabs-mode t)

(require 'jka-compr)
(jka-compr-install)

(require 'redo)
(require 'func-menu)

(global-set-key [(f1)] 'find-file)
(global-set-key [(f2)] 'save-buffer)
(global-set-key [(f3)] 'bookmark-set)
(global-set-key [(f4)] 'list-bookmarks)
(global-set-key [(f5)] 'undo)
(global-set-key [(shift f5)] 'redo)

(global-set-key "\C-p" 'bury-buffer)
(global-set-key "\C-n" 'yic-next-buffer)
(global-set-key "\C-k" 'yic-kill-current-buffer)


(setq-default comment-coulumn 70)

(require 'backup-dir)
(setq bkup-backup-directory-info
	  '((t "/home/aaronl/.backups" ok-create full-path)))

(add-hook 'c-mode-hook 'fume-add-menubar-entry)
(add-hook 'c++-mode-hook 'fume-add-menubar-entry)

;; For yic

(defun yic-next-buffer ()
  "Switch to previous buffer in current window."
  (interactive)
  (switch-to-buffer (car (reverse (buffer-list)))))

(defun yic-kill-current-buffer ()
  "Kill current buffer."
  (interactive)
  (kill-buffer (current-buffer)))